import { adminCredentials } from '~/components/credentials';
import { headersWithAuth } from './headers-with-auth';

export const userExists = async (username: string) => {
  const credentials = adminCredentials();
  if (!credentials) {
    return null;
  }
  const { database } = credentials;

  const headers = headersWithAuth();
  if (!headers) {
    return null;
  }

  try {
    const response = await fetch(
      `${database}/_users/org.couchdb.user:${username}`,
      {
        method: 'HEAD',
        mode: 'cors',
        headers,
      }
    );
    return response.status === 200;
  } catch (error) {
    console.error({ caller: 'userExists', error });
    return null;
  }
};
